Upgrade to 1.6.5 broke my code

I recently upgraded to buddypress 1.6.5. There was some custom code developed by another party that broke. In particular there was a call to the function bp_core_is_user_spammer() that now doesn't seem to exist. Have you guys replaced this with something else? If so what? Is there some documentation somewhere that describes the new design?